Bug 212133 - heartbeat removes unconditionally init-scripts when updating
heartbeat removes unconditionally init-scripts when updating
Product: Fedora
Classification: Fedora
Component: heartbeat (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joost Soeterbroek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-10-25 05:23 EDT by Dirk Nehring
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-29 06:30:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dirk Nehring 2006-10-25 05:23:35 EDT
Description of problem:
Package does not check the installation status when upgrading.

Version-Release number of selected component (if applicable):

How reproducible:
Update to a newer version

Steps to Reproduce:
1. rpm -vhU heartbeat

Additional info:

The spec file should check if it is an update or if it is an deinstallation.
When updating, "chkconfig --del" is executed unconditionally which breaks
existing systems.

Proposed Fix:

if [ $1 = 0 ] ; then
        service hearbeat stop
        /sbin/chkconfig --del hearbeat

if [ "$1" -ge "1" ] ; then
        service heartbeat condrestart
Comment 1 Dirk Nehring 2006-10-25 05:26:22 EDT
uups, small typo in the proposed script (hearbeat)
Comment 2 Joost Soeterbroek 2006-10-29 06:30:27 EST
fixed in 2.0.7-3

Note You need to log in before you can comment on or make changes to this bug.